Skip to main content
`Ctrl`+`K`

# FNEvaluateFunction

Computes the value of the function \(f(x)\) for a given \(x\).

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNEvaluateFunction(FN fn,PetscScalar x,PetscScalar *y)

Not Collective

## Input Parameters

- fn - the math function context

- x - the value where the function must be evaluated

## Output Parameter

- y - the result of \(f(x)\)

## Note

Scaling factors are taken into account, so the actual function evaluation will return \(\beta f(\alpha x)\).

## See Also

FN: Mathematical Functions, `FNEvaluateDerivative()`, `FNEvaluateFunctionMat()`, `FNSetScale()`

## Level

intermediate

## Location

src/sys/classes/fn/interface/fnbasic.c

## Implementations

FNEvaluateFunction_Combine() in src/sys/classes/fn/impls/combine/fncombine.c
FNEvaluateFunction_Exp() in src/sys/classes/fn/impls/exp/fnexp.c
FNEvaluateFunction_Invsqrt() in src/sys/classes/fn/impls/invsqrt/fninvsqrt.c
FNEvaluateFunction_Log() in src/sys/classes/fn/impls/log/fnlog.c
FNEvaluateFunction_Phi() in src/sys/classes/fn/impls/phi/fnphi.c
FNEvaluateFunction_Rational() in src/sys/classes/fn/impls/rational/fnrational.c
FNEvaluateFunction_Sqrt() in src/sys/classes/fn/impls/sqrt/fnsqrt.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages